driver_info_x11_t Struct Reference
Public interface » ID macros » Driver information

X11 server info. More...

`#include <hd.h>`

## Data Fields

union driver_info_u * | next
enum driver_info_type | type
| driver info type
str_list_t * | hddb0
str_list_t * | hddb1
| the actual driver database entries
char * | server
| the server/module name
char * | xf86_ver
| XFree86 version (3 or 4).
unsigned | x3d:1
| has 3D support
struct { |
unsigned driver_info_x11_t::all:5 |
| the next 5 entries combined More...
unsigned driver_info_x11_t::c8:1 |
unsigned driver_info_x11_t::c15:1 |
unsigned driver_info_x11_t::c16:1 |
unsigned driver_info_x11_t::c24:1 |
unsigned driver_info_x11_t::c32:1 |
} | colors
| supported color depths
unsigned | dacspeed
| max.
str_list_t * | extensions
| additional X extensions to load ('Module' section)
str_list_t * | options
| special server options
str_list_t * | raw
| extra info to add to XF86Config
char * | script
| 3d script to run

## Detailed Description

X11 server info.

The documentation for this struct was generated from the following file:

- hd.h